using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            if (n == 1)
            {
                Console.WriteLine(a);
            }
            else if (a == k)
            {
                Console.WriteLine(s[1]);
            }
            else
            {
                bool tacnost = true;
                for (int i = 1; tacnost && i < n; i++)
                {
                    int j = int.Parse(s[i]);
                    if (j == k)
                    {
                        if (i + 1 == n)
                        {
                            Console.WriteLine(a);
                        }
                        else
                        {
                            Console.WriteLine(s[i + 1]);
                        }
                        tacnost = false;
                    }
                }
            }
        }
    }
}